import { PropType } from 'vue';
import { VcWizardStepType, VcWizardSummaryType } from './VcWizard.types';
declare const _default: import("vue").DefineComponent<{
    activeStep: {
        type: (NumberConstructor | StringConstructor)[];
        default: number;
    };
    steps: {
        type: PropType<VcWizardStepType[]>;
        default: () => never[];
    };
    showHeader: {
        type: BooleanConstructor;
        default: boolean;
    };
    showSummary: {
        type: BooleanConstructor;
        default: boolean;
    };
    dataLoading: {
        type: BooleanConstructor;
        default: boolean;
    };
    summary: {
        type: PropType<VcWizardSummaryType>;
        default: () => {};
    };
    height: {
        type: (NumberConstructor | StringConstructor)[];
        default: string;
    };
    canNext: {
        type: BooleanConstructor;
        default: boolean;
    };
}, unknown, {
    activeIndex: number;
    maxVisited: number;
    direction: string;
}, {
    isFinalStep(): boolean;
    isStartStep(): boolean;
    isFinalAddSlot(): boolean;
    wizardHeight(): string | undefined;
}, {
    setMaxVisitedStep(val: number): void;
    onNext(): void;
    onPrev(): void;
    goToStep(index: number): void;
    onCancel(): void;
    onFinal(): void;
    setActiveIndex(): void;
}, {
    inheritAttrs: boolean;
    props: {
        duration: {
            type: (NumberConstructor | ObjectConstructor)[];
            default: number;
        };
        delay: {
            type: (NumberConstructor | ObjectConstructor)[];
            default: number;
        };
        group: BooleanConstructor;
        tag: {
            type: StringConstructor;
            default: string;
        };
        origin: {
            type: StringConstructor;
            default: string;
        };
        styles: {
            type: ObjectConstructor;
            default: () => {
                animationFillMode: string;
                animationTimingFunction: string;
            };
        };
    };
    computed: {
        componentType(): any;
        hooks(): any;
    };
    methods: {
        beforeEnter(el: any): void;
        cleanUpStyles(el: any): void;
        beforeLeave(el: any): void;
        leave(el: any): void;
        setStyles(el: any): void;
        setAbsolutePosition(el: any): {
            beforeEnter(el: any): void;
            cleanUpStyles(el: any): void;
            beforeLeave(el: any): void;
            leave(el: any): void;
            setStyles(el: any): void;
            setAbsolutePosition(el: any): any;
            setTransformOrigin(el: any): any;
        };
        setTransformOrigin(el: any): {
            beforeEnter(el: any): void;
            cleanUpStyles(el: any): void;
            beforeLeave(el: any): void;
            leave(el: any): void;
            setStyles(el: any): void;
            setAbsolutePosition(el: any): any;
            setTransformOrigin(el: any): any;
        };
    };
}, import("vue").ComponentOptionsMixin, ("update-step" | "cancel" | "final")[], "update-step" | "cancel" | "final", import("vue").VNodeProps & import("vue").AllowedComponentProps & import("vue").ComponentCustomProps, Readonly<import("vue").ExtractPropTypes<{
    activeStep: {
        type: (NumberConstructor | StringConstructor)[];
        default: number;
    };
    steps: {
        type: PropType<VcWizardStepType[]>;
        default: () => never[];
    };
    showHeader: {
        type: BooleanConstructor;
        default: boolean;
    };
    showSummary: {
        type: BooleanConstructor;
        default: boolean;
    };
    dataLoading: {
        type: BooleanConstructor;
        default: boolean;
    };
    summary: {
        type: PropType<VcWizardSummaryType>;
        default: () => {};
    };
    height: {
        type: (NumberConstructor | StringConstructor)[];
        default: string;
    };
    canNext: {
        type: BooleanConstructor;
        default: boolean;
    };
}>> & {
    "onUpdate-step"?: ((...args: any[]) => any) | undefined;
    onCancel?: ((...args: any[]) => any) | undefined;
    onFinal?: ((...args: any[]) => any) | undefined;
}, {
    activeStep: string | number;
    steps: VcWizardStepType[];
    showHeader: boolean;
    showSummary: boolean;
    dataLoading: boolean;
    summary: VcWizardSummaryType;
    height: string | number;
    canNext: boolean;
}>;
export default _default;
